/*
 * This program is Copyright 1998 by Henry Cohen commercial rights are reserved.
 * The program is provided as is with no warranties of any sort including 
 * fitness for any purpose.  In no case will the author be held liable for
 * damages related to the use of this program.

 * The author hereby grants rights to use, copy, modify and create derived
 * products for individual, non-commercial purposes provided a copy of this
 * notice is included.  Any commercial use requires the written approval of 
 * the author.
 * Henry Cohen 1998.
 */

/**
 * Class BadIndexException: thrown if index and dictionary checksums don't match
 * or if the index does not exist and the makeIndex flag is false.
 * When the dictionary file is read in a checksum of the internal Unicode string
 * is computed and compared to
 * the checksum stored with the associated index file.  If the checksums don't
 * match it implies that the dictionary, the index or the encoding
 * has been changed since the last time that the index was computed. This exception
 * is thrown at a low level and a higher level can decide whether to abandon
 * the dictionary or recompute the index.
 */
package jdic; 
public class BadIndexException extends Exception {
    BadIndexException (){
	super("No Index or bad checksum for dictionary.");
    }
}
